<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f6f6">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="优惠券"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_tab"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <TextView
            android:id="@+id/tv_unused"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="未使用"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_expired"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_unused_indicator"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_3"
            android:layout_marginTop="@dimen/dp_4"
            android:src="@drawable/shape_coupon_indicator"
            app:layout_constraintEnd_toEndOf="@id/tv_unused"
            app:layout_constraintStart_toStartOf="@id/tv_unused"
            app:layout_constraintTop_toBottomOf="@id/tv_unused" />

        <TextView
            android:id="@+id/tv_expired"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="已过期"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_unused"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_expired_indicator"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_3"
            android:layout_marginTop="@dimen/dp_4"
            android:src="@drawable/shape_coupon_indicator"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/tv_expired"
            app:layout_constraintStart_toStartOf="@id/tv_expired"
            app:layout_constraintTop_toBottomOf="@id/tv_expired" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_tab" />

</androidx.constraintlayout.widget.ConstraintLayout>